---
extracts:
# Values: TrustedLaunch, ConfidentialVM. Nullable. Retrieved via Microsoft.Compute/virtualMachines
  - name: "CA10__securityProfileSecurityType__c"
    value: 
      FIELD:
        path: "CA10__securityProfileSecurityType__c"
# Values: Enabled, Disabled. Nullable. Retrieved via Microsoft.Compute/virtualMachines
  - name: "CA10__uefiSettingsVTpm__c"
    value: 
      FIELD:
        path: "CA10__uefiSettingsVTpm__c"
# Values: Enabled, Disabled. Nullable. Retrieved via Microsoft.Compute/virtualMachines
  - name: "CA10__uefiSettingsSecureBoot__c"
    value: 
      FIELD:
        path: "CA10__uefiSettingsSecureBoot__c"   
# Values: "VM creating", "VM starting",  "VM running", "VM stopping",  "VM stopped", "VM deallocating",  "VM deallocated"
  - name: "CA10__powerState__c"
    value: 
      FIELD:
        path: "CA10__powerState__c" 
# Percent
  - name: "CA10__monitorCpuAvg14Day__c"
    value: 
      FIELD:
        path: "CA10__monitorCpuAvg14Day__c" 
# Percent
  - name: "CA10__monitorCpuMax14Day__c"
    value: 
      FIELD:
        path: "CA10__monitorCpuMax14Day__c" 
  - name: "CA10__monitorNetworkInMbSum14Day__c"
    value: 
      FIELD:
        path: "CA10__monitorNetworkInMbSum14Day__c" 
  - name: "CA10__monitorNetworkOutMbSum14Day__c"
    value: 
      FIELD:
        path: "CA10__monitorNetworkOutMbSum14Day__c" 
# Date/time
  - name: "CA10__timeCreated__c"
    value:
      FIELD:
        path: "CA10__timeCreated__c"
# Text
  - name: "CA10__locationName__c"
    value:
      FIELD:
        path: "CA10__locationName__c"
        